#ifndef INIT_H_INCLUDED
#define INIT_H_INCLUDED

#include <avr/io.h>

#define RPO_EN_2		PORTB
#define RDD_EN_2		DDRB
#define PIN_EN12		PB0
#define PIN_EN11		PB1
#define PIN_EN10		PB2
#define PIN_EN9			PB3
#define PIN_EN8			PB4
#define PIN_EN7			PB5

#define RPO_SW			PORTC
#define RPI_SW			PINC
#define PIN_SW			PC5

#define RPO_PWR_EN		PORTD
#define RDD_PWR_EN		DDRD
#define PIN_PWR_EN		PD0
#define RPO_EN_1		PORTD
#define RDD_EN_1		DDRD
#define PIN_EN6			PD1
#define PIN_EN5			PD2
#define PIN_EN4			PD3
#define PIN_EN3			PD4
#define PIN_EN2			PD5
#define PIN_EN1			PD6

#define PWR_ON();		RPO_PWR_EN |= _BV(PIN_PWR_EN);
#define PWR_OFF();		RPO_PWR_EN &= ~_BV(PIN_PWR_EN);


void init_ports(void);

#endif // INIT_H_INCLUDED
