#ifndef PWM_H_INCLUDED
#define PWM_H_INCLUDED

#include <stdint.h>

#define PWM_CHANNELS		12
#define PWM_MASK_ALL		(_BV(PIN_EN1) | _BV(PIN_EN2) | _BV(PIN_EN3) | \
							 _BV(PIN_EN4) | _BV(PIN_EN5) | _BV(PIN_EN6) | \
							 _BV(PIN_EN7) << 8 | _BV(PIN_EN8) << 8 | _BV(PIN_EN9) << 8 | \
							 _BV(PIN_EN10) << 8 | _BV(PIN_EN11) << 8 | _BV(PIN_EN12) << 8)


void pwm_init(void);
void pwm_update(uint8_t values[PWM_CHANNELS]);

#endif // PWM_H_INCLUDED
