#ifndef COLOR_H_INCLUDED
#define COLOR_H_INCLUDED

#include <stdint.h>

#define COLOR_LED_COUNT		4

typedef struct {
	uint8_t r;
	uint8_t g;
	uint8_t b;
} color_rgb_t;

typedef struct {
	uint8_t temperature;
	uint8_t intensity;
} color_ti_t;

/*
typedef struct {
	uint8_t h;
	uint8_t s;
	uint8_t v;
} color_hsv_t;
*/

void color_tick(color_ti_t data[COLOR_LED_COUNT]);

#endif // COLOR_H_INCLUDED
