#include "../inc/init.h"
#include <avr/io.h>
#include <stdint.h>


void init_ports(void) {
	DDRB = 0;
	PORTB = 0xff;
	DDRC = 0;
	PORTC = 0xff;
	DDRD = 0;
	PORTD = 0xff;

	RPO_EN_1 |= (_BV(PIN_EN1) | _BV(PIN_EN2) | _BV(PIN_EN3) |
				 _BV(PIN_EN4) | _BV(PIN_EN5) | _BV(PIN_EN6));
	RDD_EN_1 |= (_BV(PIN_EN1) | _BV(PIN_EN2) | _BV(PIN_EN3) |
				 _BV(PIN_EN4) | _BV(PIN_EN5) | _BV(PIN_EN6));

	RPO_EN_2 |= (_BV(PIN_EN7) | _BV(PIN_EN8) | _BV(PIN_EN9) |
				 _BV(PIN_EN10) | _BV(PIN_EN11) | _BV(PIN_EN12));
	RDD_EN_2 |= (_BV(PIN_EN7) | _BV(PIN_EN8) | _BV(PIN_EN9) |
				 _BV(PIN_EN10) | _BV(PIN_EN11) | _BV(PIN_EN12));

	RPO_PWR_EN &= ~_BV(PIN_PWR_EN);
	RDD_PWR_EN |= _BV(PIN_PWR_EN);
	RPO_SW &= ~_BV(PIN_SW);
}
